ghc-7.8.2: The GHC API

Safe Haskell | None
Language | Haskell98

RegAlloc.Linear.X86_64.FreeRegs

Description

Free regs map for x86_64

# Documentation

newtype FreeRegs

Constructors

FreeRegs Word64 |

Instances

Show FreeRegs |
FR FreeRegs |

noFreeRegs :: FreeRegs

releaseReg :: RealReg -> FreeRegs -> FreeRegs

initFreeRegs :: Platform -> FreeRegs

getFreeRegs :: Platform -> RegClass -> FreeRegs -> [RealReg]

allocateReg :: RealReg -> FreeRegs -> FreeRegs